scim::BoundSlot3_4< R, P1, P2, P3, P4 > Class Template Reference
SignalSlot

Converts a slot taking four arguments into a slot taking three arguments. More...

`#include <scim_bind.h>`

## Public Member Functions

| BoundSlot3_4 (Slot4< R, P1, P2, P3, P4 > *slot, P4 p4)
virtual R | call (P1 p1, P2 p2, P3 p3) const
| Calls the original slot passing it arguments p1, p2 and p3, and the bound argument p as the last parameter.
Public Member Functions inherited from scim::Slot3< R, P1, P2, P3 >
R | operator() (P1 p1, P2 p2, P3 p3) const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::Slot3< R, P1, P2, P3 >
| Slot3 ()
| Constructor.
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

template<typename R, typename P1, typename P2, typename P3, typename P4>
class scim::BoundSlot3_4< R, P1, P2, P3, P4 >

Converts a slot taking four arguments into a slot taking three arguments.

## Constructor & Destructor Documentation

## BoundSlot3_4()

template<typename R, typename P1, typename P2, typename P3, typename P4>

scim::BoundSlot3_4< R, P1, P2, P3, P4 >::BoundSlot3_4 | ( | Slot4< R, P1, P2, P3, P4 > * | slot,
|  | P4 | p4 )

inline

Constructor.

Parameters

  slot | - a pointer to a slot of type Slot1<R, P1, P2, P3, P4>.
  p4 | - a bound argument of type P4

References scim::slot().

## Member Function Documentation

## call()

template<typename R, typename P1, typename P2, typename P3, typename P4>

virtual R scim::BoundSlot3_4< R, P1, P2, P3, P4 >::call | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3 ) const

inline virtual

Calls the original slot passing it arguments p1, p2 and p3, and the bound argument p as the last parameter.

Implements scim::Slot3< R, P1, P2, P3 >.

The documentation for this class was generated from the following file:

- scim_bind.h